import os
import cherrypy

class HelloWorld(object):
    @cherrypy.expose
    def index(self):

        page = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> <html lang="en"> <head> <meta http-equiv="content-type" content="text/html; charset=utf-8"> <title>Most Recent Image</title> </head> <body>'
        with open(os.path.dirname(os.path.abspath(__file__)) + os.sep + 'percentage.txt') as f:
            page += '<p>' + f.read() + '</p>'
        page += '<p><img src="./static/current.jpg"></p>'
        page += '<p><img src="./static/output.jpg"></p>'
        page += '</body> </html> '
        return page

if __name__ == '__main__':
    conf = {
        '/static':{
        'tools.staticdir.on': True,
        'tools.staticdir.root': os.path.dirname(os.path.abspath(__file__)),
        'tools.staticdir.dir': '',
        'tools.staticfile.root': os.path.dirname(os.path.abspath(__file__)),
        }
    }

    cherrypy.server.socket_host = '0.0.0.0'
    cherrypy.tree.mount(HelloWorld(), '/', config=conf)
    cherrypy.engine.start()
    cherrypy.engine.block()
